## r-cran-base64enc 0.1

=== DESCRIPTION ===
Package: base64enc
Version: 0.1-6
Title: Tools for 'base64' Encoding
Author: Simon Urbanek [aut, cre, cph] (https://urbanek.nz, ORCID:
    <https://orcid.org/0000-0003-2297-1732>)
Authors@R: person("Simon", "Urbanek", role=c("aut","cre","cph"), email="Simon.Urbanek@r-project.org", comment=c("https://urbanek.nz", ORCID="0000-0003-2297-1732"))
Maintainer: Simon Urbanek <Simon.Urbanek@r-project.org>
Depends: R (>= 2.9.0)
Enhances: png
Description: Tools for handling 'base64' encoding. It is more flexible than the orphaned 'base64' package.
License: GPL-2 | GPL-3
URL: https://www.rforge.net/base64enc
BugReports: https://github.com/s-u/base64enc/issues
NeedsCompilation: yes
Packaged: 2026-02-02 01:51:07 UTC; rforge
Repository: CRAN
Date/Publication: 2026-02-02 06:31:10 UTC

## r-cran-base64enc 0.1-1

=== debian/changelog ===
r-cran-base64enc (0.1-1-2) unstable; urgency=low

  * Fix the Vcs fields to point to debichem on alioth.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 04 Jun 2013 13:58:15 +0200

r-cran-base64enc (0.1-1-1) unstable; urgency=low

  * Initial package release (Closes: #710829);
  * Upload by Filippo Rusconi <lopippo@debian.org>.
  
 -- Filippo Rusconi <lopippo@debian.org>  Tue, 04 Jun 2013 13:18:27 +0200

=== debian/control ===
Source: r-cran-base64enc
Section: gnu-r
Priority: optional
Maintainer: Sebastian Gibb <sgibb.debian@gmail.com>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Build-Depends: debhelper (>= 9), cdbs, r-base-dev (>= 2.9.0)
Standards-Version: 3.9.4
Homepage: http://cran.r-project.org/web/packages/base64enc/index.html
Vcs-Git: git://git.debian.org/git/debichem/packages/r-cran-base64enc.git
Vcs-Browser: http://git.debian.org/?p=debichem/packages/r-cran-base64enc.git

Package: r-cran-base64enc
Architecture: any
Depends: r-cran-digest, ${misc:Depends}, ${shlibs:Depends}, ${R:Depends}
Description: GNU R package that provides tools for base64 encoding
 This package provides tools for handling base64 encoding. It is more flexible
 than the orphaned base64 package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-base64enc package
# Copyright 2013 by Sebastian Gibb <sgibb.debian@gmail.com>

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

makeFlags	:= "CFLAGS+=${CFLAGS} CPPFLAGS+=${CPPFLAGS} LDFLAGS+=${LDFLAGS}"
ifneq "$(makeFlags)" ""
makeFlagsCall	:= MAKEFLAGS=$(makeFlags)
endif

include /usr/share/R/debian/r-cran.mk

DEB_INSTALL_DOCS_ALL :=
DEB_INSTALL_CHANGELOGS_ALL := NEWS

get-orig-source:
	## download newest version from CRAN
	uscan --no-conf --force-download --no-symlink --destdir ../tarballs

## r-cran-base64enc 0.1-2

=== debian/changelog ===
r-cran-base64enc (0.1-2-1) unstable; urgency=low

  [ The Debichem Group ]
  * New upstream release.
  * Move debian/upstream to debian/upstream/metadata.

  [ Filippo Rusconi ]

  * Upload.
  
 -- Filippo Rusconi <lopippo@debian.org>  Wed, 01 Oct 2014 09:44:07 +0200

r-cran-base64enc (0.1-1-4) unstable; urgency=low

  * debian/control:
    - set Standards-Version to 3.9.5.
    - use canonical URLs in Vcs-Git and Vcs-Browser.
  * debian/rules: remove custom build flags This change will prevent the
    build errors encountered when using make 4.0
    (Message-ID: <87vbtsad2h.fsf@glaurung.internal.golden-gryphon.com>)..

 -- The Debichem Group <debichem-devel@lists.alioth.debian.org>  Tue, 29 Apr 2014 13:32:25 +0100

r-cran-base64enc (0.1-1-3) unstable; urgency=low

  * debian/control: set maintainer to the debichem group.

 -- The Debichem Group <debichem-devel@lists.alioth.debian.org>  Tue, 04 Jun 2013 15:56:43 +0200

=== debian/control ===
Source: r-cran-base64enc
Section: gnu-r
Priority: optional
Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Build-Depends: debhelper (>= 9), cdbs, r-base-dev (>= 2.9.0)
Standards-Version: 3.9.5
Homepage: http://cran.r-project.org/web/packages/base64enc/index.html
Vcs-Git: git://anonscm.debian.org/debichem/packages/r-cran-base64enc.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debichem/packages/r-cran-base64enc.git

Package: r-cran-base64enc
Architecture: any
Depends: r-cran-digest, ${misc:Depends}, ${shlibs:Depends}, ${R:Depends}
Description: GNU R package that provides tools for base64 encoding
 This package provides tools for handling base64 encoding. It is more flexible
 than the orphaned base64 package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-base64enc package
# Copyright 2013 by Sebastian Gibb <sgibb.debian@gmail.com>
include /usr/share/R/debian/r-cran.mk

DEB_INSTALL_DOCS_ALL :=
DEB_INSTALL_CHANGELOGS_ALL := NEWS

get-orig-source:
	## download newest version from CRAN
	uscan --no-conf --force-download --no-symlink --destdir ../tarballs

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/base64enc_([\d\.-]*).tar.gz

## r-cran-base64enc 0.1-3

=== debian/changelog ===
r-cran-base64enc (0.1-3-3) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Drop useless get-orig-source target (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

 -- Andreas Tille <tille@debian.org>  Wed, 02 Sep 2020 14:11:44 +0200

r-cran-base64enc (0.1-3-2) unstable; urgency=medium

  * Team upload.
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Wed, 20 Jun 2018 23:31:46 +0200

r-cran-base64enc (0.1-3-1) unstable; urgency=medium

  [ Sebastian Gibb ]
  * New upstream release.
  * debian/control:
    - use secure canonical URL in Homepage.
    - use secure https URLs in Vcs-Git and Vcs-Browser.
    - set Standards-Version to 3.9.8.
  * debian/copyright: remove duplicated license text.
  * debian/lintian-overrides: remove unused hardening-no-fortify-functions.

  [ Andreas Tille
  * cme fix dpkg-control
  * Convert to dh-r
  * Updated d/copyright
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Mon, 12 Dec 2016 13:37:55 +0100

=== debian/control ===
Source: r-cran-base64enc
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-base64enc
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-base64enc.git
Homepage: https://cran.r-project.org/package=base64enc
Rules-Requires-Root: no

Package: r-cran-base64enc
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R package that provides tools for base64 encoding
 This package provides tools for handling base64 encoding. It is more flexible
 than the orphaned base64 package.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## r-cran-base64enc 0.1-6

=== debian/changelog ===
r-cran-base64enc (0.1-6-1) unstable; urgency=medium

  * Team upload.
  [ Andreas Tille ]
  * Replace Filippo by myself as Uploader (Thank you Filippo for your
    work on this package)

  [ Charles Plessy ]
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 05 Feb 2026 10:10:53 +0900

=== debian/control ===
Source: r-cran-base64enc
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-base64enc
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-base64enc.git
Homepage: https://cran.r-project.org/package=base64enc
Rules-Requires-Root: no

Package: r-cran-base64enc
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R package that provides tools for base64 encoding
 This package provides tools for handling base64 encoding. It is more flexible
 than the orphaned base64 package.
